.content__calendar {
  display: grid;
  align-content: space-between;
  padding: 10px;
  background: #fff;
  border-radius: 8px;
  height: 100%;
  grid-template-columns: 100%;
  grid-gap: 10px;

  .cal__group--action {
    padding: 15px 0;
  }

  .cal__title--select {
    padding: 0 15px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 15px;

    .cal__t--s-item {
      display: flex;
      align-items: center;
      color: #4E4B66;
    }

    .t__s--dot {
      width: 8px;
      height: 8px;
      border-radius: 50%;
      margin-right: 10px;
    }
  }
}

::ng-deep .cal__box {

  position: relative;

  .cal__custom--label {
    position: absolute;
    top: 18px;
    left: 20px;
    z-index: 9999;
    font-family: avertaB, sans-serif;
  }

  .ant-picker-header {
    background: #E9F4FF;
    padding: 10px 8px;
    color: #14142B;
    font-family: avertaB, sans-serif;

    .ant-picker-header-view {
      order: -1;
      text-align: left;

      button {
        display: none;
      }
    }

    .ant-picker-header-super-prev-btn {
      display: none;
    }

    .ant-picker-header-super-next-btn {
      display: none;
    }

    .ant-picker-next-icon::before, .ant-picker-prev-icon::before, .ant-picker-super-next-icon::before, .ant-picker-super-prev-icon::before {
      width: 10px !important;
      height: 10px !important;
    }
  }

  .ant-picker-body {
    background: #E9F4FF;
  }

  .ant-picker-panel-container {
    box-shadow: none !important;
    border-radius: 8px !important;
  }

  .ant-picker-dropdown {
    width: 100%;
  }

  .ant-picker-panel {
    width: 100%;

    .ant-picker-date-panel {
      width: 100%;

      .ant-picker-content {
        width: 100% !important;
      }
    }

    .ant-picker-month-panel {
      width: 100%;
    }

    .ant-picker-year-panel {
      width: 100%;
    }
  }

  .ant-picker-content {
    td {
      padding: 0;
    }

    th {
      color: #141ED2;
      padding: 0;
    }
  }

  .cal__picker--cell {
    margin: 2px auto;
    height: 28px;
    width: 28px;
    text-align: center;
    line-height: 28px;
    border-radius: 5px;
  }
}

::ng-deep .cal__action {

  .button__class {
    margin-left: 0 !important;
    width: 100%;
    font-family: avertaB, sans-serif;
    margin-top: 15px;
  }
}
@media screen and (max-width: 1880px) {
  .content__calendar {
    padding: 8px;
    grid-gap: 8px;

    .cal__group--action {
      padding: 8px 0;
    }

    .cal__title--select {
      padding: 0 8px;
      grid-gap: 3px;
      font-size: 12px;
    }
  }

  ::ng-deep .cal__box {

    .cal__custom--label {
      top: 10px;
    }

    .ant-picker-header {
      padding: 0px 8px;

      .ant-picker-next-icon::before, .ant-picker-prev-icon::before, .ant-picker-super-next-icon::before, .ant-picker-super-prev-icon::before {
        width: 8px !important;
        height: 8px !important;
      }
    }

    .ant-picker-body {
      padding-top: 0;
    }

    .ant-picker-content {

      tbody tr:last-child {
        display: none;
      }

      th {
        font-size: 12px;
      }
    }

    .cal__picker--cell {
      margin: 1px auto;
      height: 18px;
      width: 18px;
      line-height: 17px;
      border-radius: 3px;
      font-size: 12px;
    }
  }

  ::ng-deep .cal__action {

    .button__class {
      margin-left: 0 !important;
      width: 100%;
      font-family: avertaB, sans-serif;
      margin-top: 8px;
    }
  }

  .content__calendar--s6 {

    ::ng-deep .cal__box {

      .ant-picker-content {

        tbody tr:last-child {
          display: initial;
        }
      }
    }
  }

  .content__calendar--700 {

    ::ng-deep .cal__box {
      .ant-picker-content {

        th {
          font-size: 14px;
        }
      }

      .cal__picker--cell {
        margin: 2px auto;
        height: 20px;
        width: 20px;
        line-height: 19px;
        font-size: 14px;
      }
    }
  }

  .content__calendar--730 {

    ::ng-deep .cal__box {
      .ant-picker-content {

        th {
          font-size: 14px;
        }
      }

      .cal__picker--cell {
        margin: 4px auto;
        height: 20px;
        width: 20px;
        line-height: 19px;
        font-size: 14px;
      }
    }
  }

  .content__calendar--756 {

    ::ng-deep .cal__box {
      .ant-picker-content {

        th {
          font-size: 14px;
        }
      }

      .cal__picker--cell {
        margin: 6px auto;
        height: 22px;
        width: 22px;
        line-height: 21px;
        font-size: 14px;
      }
    }
  }

}
@media screen and (max-width: 1556px) {
  .content__calendar {
    padding: 8px;
    grid-gap: 8px;

    .cal__group--action {
      padding: 8px 0;
    }

    .cal__title--select {
      padding: 0 8px;
      grid-gap: 3px;
      font-size: 12px;
    }
  }

  ::ng-deep .cal__box {

    .cal__custom--label {
      top: 10px;
    }

    .ant-picker-header {
      padding: 0px 8px;

      .ant-picker-next-icon::before, .ant-picker-prev-icon::before, .ant-picker-super-next-icon::before, .ant-picker-super-prev-icon::before {
        width: 8px !important;
        height: 8px !important;
      }
    }

    .ant-picker-body {
      padding-top: 0;
    }

    .ant-picker-content {

      tbody tr:last-child {
        display: none;
      }

      th {
        font-size: 12px;
      }
    }

    .cal__picker--cell {
      margin: 1px auto;
      height: 18px;
      width: 18px;
      line-height: 17px;
      border-radius: 3px;
      font-size: 12px;
    }
  }

  ::ng-deep .cal__action {

    .button__class {
      margin-left: 0 !important;
      width: 100%;
      font-family: avertaB, sans-serif;
      margin-top: 8px;
    }
  }

  .content__calendar--s6 {

    ::ng-deep .cal__box {

      .ant-picker-content {

        tbody tr:last-child {
          display: initial;
        }
      }
    }
  }

  .content__calendar--700 {

    ::ng-deep .cal__box {
      .ant-picker-content {

        th {
          font-size: 14px;
        }
      }

      .cal__picker--cell {
        margin: 2px auto;
        height: 20px;
        width: 20px;
        line-height: 19px;
        font-size: 14px;
      }
    }
  }

  .content__calendar--730 {

    ::ng-deep .cal__box {
      .ant-picker-content {

        th {
          font-size: 14px;
        }
      }

      .cal__picker--cell {
        margin: 4px auto;
        height: 20px;
        width: 20px;
        line-height: 19px;
        font-size: 14px;
      }
    }
  }

  .content__calendar--756 {

    ::ng-deep .cal__box {
      .ant-picker-content {

        th {
          font-size: 14px;
        }
      }

      .cal__picker--cell {
        margin: 6px auto;
        height: 22px;
        width: 22px;
        line-height: 21px;
        font-size: 14px;
      }
    }
  }

}
@media screen and (max-width: 1440px) {
  .content__calendar {
    padding: 8px;
    grid-gap: 8px;

    .cal__group--action {
      padding: 8px 0;
    }

    .cal__title--select {
      padding: 0 8px;
      grid-gap: 3px;
      font-size: 12px;
    }
  }

  ::ng-deep .cal__box {

    .cal__custom--label {
      top: 10px;
    }

    .ant-picker-header {
      padding: 0px 8px;

      .ant-picker-next-icon::before, .ant-picker-prev-icon::before, .ant-picker-super-next-icon::before, .ant-picker-super-prev-icon::before {
        width: 8px !important;
        height: 8px !important;
      }
    }

    .ant-picker-body {
      padding-top: 0;
    }

    .ant-picker-content {

      tbody tr:last-child {
        display: none;
      }

      th {
        font-size: 12px;
      }
    }

    .cal__picker--cell {
      margin: 1px auto;
      height: 18px;
      width: 18px;
      line-height: 17px;
      border-radius: 3px;
      font-size: 12px;
    }
  }

  ::ng-deep .cal__action {

    .button__class {
      margin-left: 0 !important;
      width: 100%;
      font-family: avertaB, sans-serif;
      margin-top: 8px;
    }
  }

  .content__calendar--s6 {

    ::ng-deep .cal__box {

      .ant-picker-content {

        tbody tr:last-child {
          display: initial;
        }
      }
    }
  }

  .content__calendar--700 {

    ::ng-deep .cal__box {
      .ant-picker-content {

        th {
          font-size: 14px;
        }
      }

      .cal__picker--cell {
        margin: 2px auto;
        height: 20px;
        width: 20px;
        line-height: 19px;
        font-size: 14px;
      }
    }
  }

  .content__calendar--730 {

    ::ng-deep .cal__box {
      .ant-picker-content {

        th {
          font-size: 14px;
        }
      }

      .cal__picker--cell {
        margin: 4px auto;
        height: 20px;
        width: 20px;
        line-height: 19px;
        font-size: 14px;
      }
    }
  }

  .content__calendar--756 {

    ::ng-deep .cal__box {
      .ant-picker-content {

        th {
          font-size: 14px;
        }
      }

      .cal__picker--cell {
        margin: 6px auto;
        height: 22px;
        width: 22px;
        line-height: 21px;
        font-size: 14px;
      }
    }
  }

}
